# Function extend

- extend(dst, ...src): any

- Extends the destination object `dst` by copying own enumerable properties from the `src` object(s) to `dst`. You can specify multiple `src` objects. If you want to preserve original objects, you can do so by passing an empty object as the target: `let object = angular.extend({}, object1, object2)`.

  Note: Keep in mind that `angular.extend` does not support recursive merge (deep copy). Use angular.merge for this.

  #### Parameters

  - dst: any

    Destination object.

  - `Rest`...src: any[]

    Source object(s).

  #### Returns any

  Reference to `dst`.

  - Defined in shared/utils.js:430